Debian Bug report logs - #570369
kdm in squeeze is unable to handle kdm themes which worked in lenny

version graph

Package: debian-edu-artwork; Maintainer for debian-edu-artwork is Debian Edu developers <debian-edu@lists.debian.org>; Source for debian-edu-artwork is src:debian-edu-artwork.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Thu, 18 Feb 2010 12:15:01 UTC

Severity: serious

Found in version debian-edu-artwork/0.0.30-2

Fixed in version debian-edu-artwork/0.0.30-3

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570369; Package debian-edu-artwork. (Thu, 18 Feb 2010 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Thu, 18 Feb 2010 12:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: breaks kdm
Date: Thu, 18 Feb 2010 13:11:54 +0100
[Message part 1 (text/plain, inline)]
package: debian-edu-artwork
severity: serious
version: 0.0.30-2

Hi,

Petter remarked on IRC that debian-edu-artwork breaks kdm in squeeze. To 
reproduce: setup a squeeze system with kdm, install debian-edu-artwork, 
restart kdm, voila :(

Should hopefully be fairly easy to fix :-)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'kdm in squeeze is unable to handle kdm themes which worked in lenny' from 'breaks kdm' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Thu, 18 Feb 2010 12:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570369; Package debian-edu-artwork. (Thu, 18 Feb 2010 12:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Thu, 18 Feb 2010 12:36:15 GMT) Full text and rfc822 format available.

Message #12 received at 570369@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Holger Levsen <holger@layer-acht.org>, 570369@bugs.debian.org
Subject: Re: Bug#570369: breaks kdm
Date: Thu, 18 Feb 2010 13:35:25 +0100
retitle 570369 kdm in squeeze is unable to handle kdm themes which worked in lenny
thanks

[Holger Levsen]
> Petter remarked on IRC that debian-edu-artwork breaks kdm in squeeze. To 
> reproduce: setup a squeeze system with kdm, install debian-edu-artwork, 
> restart kdm, voila :(
> 
> Should hopefully be fairly easy to fix :-)

Perhaps.  Actually, I believe the bug is in KDM, which provided a way
in lenny to set up ones own kdm theme, and is unable to write the
specified theme in Squeeze.  This method worked in Lenny, and KDM
should either ignore the setting for kdm version 3 in Squeeze, or
handle it properly.  If the KDM themes are version specific, the
settings in /etc/default/kdm.d/ should be versioned, Preferably the
kdm themes should not be version specific.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570369; Package debian-edu-artwork. (Thu, 18 Feb 2010 12:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Thu, 18 Feb 2010 12:45:06 GMT) Full text and rfc822 format available.

Message #17 received at 570369@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-qt-kde@lists.debian.org
Cc: 570369@bugs.debian.org
Subject: Re: Bug#570369: breaks kdm
Date: Thu, 18 Feb 2010 13:41:44 +0100
[Message part 1 (text/plain, inline)]
Hi kde maintainers,

can you please enlight us what is the way forward with kde4 and this bug? 

On Donnerstag, 18. Februar 2010, Petter Reinholdtsen wrote:
> retitle 570369 kdm in squeeze is unable to handle kdm themes which worked
> in lenny 
> thanks 
>
> [Holger Levsen]
>
> > Petter remarked on IRC that debian-edu-artwork breaks kdm in squeeze. To
> > reproduce: setup a squeeze system with kdm, install debian-edu-artwork,
> > restart kdm, voila :(
> >
> > Should hopefully be fairly easy to fix :-)
>
> Perhaps.  Actually, I believe the bug is in KDM, which provided a way
> in lenny to set up ones own kdm theme, and is unable to write the
> specified theme in Squeeze.  This method worked in Lenny, and KDM
> should either ignore the setting for kdm version 3 in Squeeze, or
> handle it properly.  If the KDM themes are version specific, the
> settings in /etc/default/kdm.d/ should be versioned, Preferably the
> kdm themes should not be version specific.
>
> Happy hacking,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570369; Package debian-edu-artwork. (Thu, 04 Mar 2010 21:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Thu, 04 Mar 2010 21:51:11 GMT) Full text and rfc822 format available.

Message #22 received at 570369@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570369@bugs.debian.org
Cc: debian-qt-kde@lists.debian.org
Subject: Re: Bug#570369: kdm in squeeze is unable to handle kdm themes which worked in lenny
Date: Thu, 4 Mar 2010 22:48:00 +0100
[Petter Reinholdtsen]
> Perhaps.  Actually, I believe the bug is in KDM, which provided a
> way in lenny to set up ones own kdm theme, and is unable to write
> the specified theme in Squeeze.

Note, I ment 'read' when I used 'write' above.

I've investigated some more, and the problem seem to be that kdm
changed its understanding of the THEME setting.  In
/etc/default/kdm.d/20_debian-edu, we use

  THEME=/usr/share/apps/kdm/themes/debian-edu

Changing this to 

  THEME=/usr/share/apps/kdm/themes/debian-edu/debian-edu.xml

make kdm able to understand the theme.  There are still visual
problems with it (the buttons are missing and the time stamp do not
show up), but kdm do not fail to start.

So either we had a bug in debian-edu-artwork which failed to trigger a
problem with kdm in lenny, or the sematic of the THEME setting in kdm
changed between lenny and squeeze.  Only the kdm maintainer can tell
what the intended behavour for the THEME setting in
/etc/default/kdm.d/ was.

Anyway, I suggest we change /etc/default/kdm.d/20_debian-edu in
debian-edu-artwork for both Lenny and Squeeze to work around the
problem (by adding /debian-edu.xml to the THEME setting), and fix up
the theme to work in both Lenny and Squeeze as soon as possible.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570369; Package debian-edu-artwork. (Fri, 05 Mar 2010 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Fri, 05 Mar 2010 17:15:05 GMT) Full text and rfc822 format available.

Message #27 received at 570369@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570369@bugs.debian.org
Cc: debian-qt-kde@lists.debian.org
Subject: Re: Bug#570369: kdm in squeeze is unable to handle kdm themes which worked in lenny
Date: Fri, 5 Mar 2010 18:12:44 +0100
[Petter Reinholdtsen]
> So either we had a bug in debian-edu-artwork which failed to trigger
> a problem with kdm in lenny, or the sematic of the THEME setting in
> kdm changed between lenny and squeeze.  Only the kdm maintainer can
> tell what the intended behavour for the THEME setting in
> /etc/default/kdm.d/ was.

I found a more accessable source for this information, in
<URL:help:/kdm/kdm-files.html#kdmrc-greeter>:

  Theme

    The theme to use for the greeter. Can point to either a directory
    or an XML file.

    Empty by default.

As this was the definition for Lenny, it should be the same for
Squeeze, or init.d/kdm should be rewritten to handle the THEME
variable used in /etc/default/kdm.d the same way as in Lenny.  A
simple test to see if the path is a directory or a file and rewrite it
to a xml file if it was a directory should work.

I suspect thought that the problem can be caused by something in our
XML file, and would welcome help with reviewing it from someone with
knowledge about the format.  Check out the debian-edu-artwork package
in unstable and testing for the theme in question.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570369; Package debian-edu-artwork. (Sat, 06 Mar 2010 01:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Sat, 06 Mar 2010 01:09:02 GMT) Full text and rfc822 format available.

Message #32 received at 570369@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570369@bugs.debian.org
Cc: debian-qt-kde@lists.debian.org
Subject: Re: Bug#570369: kdm in squeeze is unable to handle kdm themes which worked in lenny
Date: Sat, 6 Mar 2010 02:06:08 +0100
I came across another clue in
<URL: http://docs.kde.org/stable/en/kdebase-workspace/kdm/kdm-themes.html >,

which state that the theme directory need to include a file
KdmGreeterTheme.desktop.  Our kdm theme include a
GdmGreeterTheme.desktop file instead.  Rename it to
KdmGreeterTheme.desktop and changing 'GdmGreeterTheme' to
'KdmGreeterTheme' in the file made kdm stop rejecting the theme.  The
buttons are still broken, but I guess that can be fixed by changing
the xml file.

Next, I tried to do the same with the kdm theme using the Lenny kdm,
and the theme still work.  I guess kdm became more picky about themese
between KDE 3 and 4.

Perhaps we can use the same theme for gdm and kdm if we provide both
KdmGreeterTheme.desktop and GdmGreeterTheme.desktop and a XML file
that both gdm and kdm understand?  Would be nice to have the same
theme for kdm and gdm.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sat, 06 Mar 2010 12:18:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 06 Mar 2010 12:18:05 GMT) Full text and rfc822 format available.

Message #37 received at 570369-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 570369-close@bugs.debian.org
Subject: Bug#570369: fixed in debian-edu-artwork 0.0.30-3
Date: Sat, 06 Mar 2010 12:17:12 +0000
Source: debian-edu-artwork
Source-Version: 0.0.30-3

We believe that the bug you reported is fixed in the latest version of
debian-edu-artwork, which is due to be installed in the Debian FTP archive:

debian-edu-artwork-usplash_0.0.30-3_i386.deb
  to main/d/debian-edu-artwork/debian-edu-artwork-usplash_0.0.30-3_i386.deb
debian-edu-artwork_0.0.30-3.diff.gz
  to main/d/debian-edu-artwork/debian-edu-artwork_0.0.30-3.diff.gz
debian-edu-artwork_0.0.30-3.dsc
  to main/d/debian-edu-artwork/debian-edu-artwork_0.0.30-3.dsc
debian-edu-artwork_0.0.30-3_all.deb
  to main/d/debian-edu-artwork/debian-edu-artwork_0.0.30-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570369@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-artwork package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 06 Mar 2010 12:09:00 +0100
Source: debian-edu-artwork
Binary: debian-edu-artwork debian-edu-artwork-usplash
Architecture: source all i386
Version: 0.0.30-3
Distribution: unstable
Urgency: low
Maintainer: Debian Edu developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-artwork - Debian Edu themes and artwork
 debian-edu-artwork-usplash - Debian Edu artwork for usplash
Closes: 548249 570369
Changes: 
 debian-edu-artwork (0.0.30-3) unstable; urgency=low
 .
   [ Jonas Smedegaard ]
   * Add myself as uploader.
   * Add dummy debian/watch documenting Alioth SVN as origin of tarballs.
 .
   [ Vagrant Cascadian ]
   * debian/watch: Check Skolelinux repositories for newer versions.
   * Update email address to use vagrant@debian.org.
 .
   [ Holger Levsen ]
   * debian-edu-artwork.preinst: call dpkg-divert without --quiet.
     (Closes: #548249)
   * Update Standards-Version to 3.8.3, no changes needed.
   * debian/control: Add armel to the list of supported architectures of
     debian-edu-artwork-usplash.
   * debian/watch: check both the Debian and the Debian Edu repository for
     newer versions.
 .
   [ Petter Reinholdtsen ]
   * Add KdmGreeterTheme.desktop to kdm theme, to make kdm from KDE 4
     recognize the theme (Closes: #570369).
   * Indent the KDM and GDM theme XML files using http://xmlindent.com/
     to make them easier to read.
Checksums-Sha1: 
 cbbb195e6a51a261a8ee804ae4eee53a1a93cc17 1437 debian-edu-artwork_0.0.30-3.dsc
 c07684588b76fa4f027775afd848c6d19bf75d4c 13693 debian-edu-artwork_0.0.30-3.diff.gz
 c2d553aa3fa43eb488bfd3478fc16acd6afe2b89 5687290 debian-edu-artwork_0.0.30-3_all.deb
 ecf0dc0805412cc2022d4f94acdb90755d15ec4e 197594 debian-edu-artwork-usplash_0.0.30-3_i386.deb
Checksums-Sha256: 
 9c6d98dacafed07fab5fad273c8fbd401833e9afeeda1df266ba69898ac4a79f 1437 debian-edu-artwork_0.0.30-3.dsc
 29faaeff7d1f5e47cb52bd2b1985ece3da227be67751fc8343cf93f24956fbdf 13693 debian-edu-artwork_0.0.30-3.diff.gz
 e94a093f22d4dc04d823c968b3555c5286a2e3613993df528f8121f997bf10a8 5687290 debian-edu-artwork_0.0.30-3_all.deb
 fcdac0eeb075033e1f75943f6dbe80d2fd28fbc071c1bad41db6c2a90e6890f0 197594 debian-edu-artwork-usplash_0.0.30-3_i386.deb
Files: 
 77b54f9d7295c2d1f7a2622098f24eac 1437 graphics optional debian-edu-artwork_0.0.30-3.dsc
 b470318e4bb9f0c51b8fad78af1dc210 13693 graphics optional debian-edu-artwork_0.0.30-3.diff.gz
 691a49ab40d381504d8dd50909f75db1 5687290 graphics optional debian-edu-artwork_0.0.30-3_all.deb
 7b8a24bf4f6ca29aed881ef55a3310b8 197594 graphics optional debian-edu-artwork-usplash_0.0.30-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLkkK120zMSyow1ykRAqcEAJ9ugqfoXtS7QX2kCvOPHP3Uav6XcACglEfm
l2+BTu9s0AXX0RVWkQE34w0=
=n5RM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Apr 2010 07:39:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:46:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.